=== debian/changelog ===
pybdsf (1.9.2-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse

  [ Ole Streicher ]
  * Fix build dependencies (Closes: #972772)

 -- Ole Streicher <olebole@debian.org>  Mon, 26 Oct 2020 10:02:02 +0100

pybdsf (1.9.2-2) unstable; urgency=low

  * Unconditionally add astropy dependency
  * Use system specific multiarch name instead of generic one

 -- Ole Streicher <olebole@debian.org>  Fri, 10 Jul 2020 14:51:51 +0200

pybdsf (1.9.2-1) unstable; urgency=low

  * Initial package (Closes: #959778)
  * Derived from the kernsuite package by Gijs Molenaar

 -- Ole Streicher <olebole@debian.org>  Tue, 14 Apr 2020 23:01:56 +0200
