=== debian/control ===
Source: pybdsf
Maintainer: Debian Astro Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               python3-astropy,
               python3-setuptools,
               python3-numpy,
               python3-scipy,
               libboost-python-dev,
               libboost-numpy-dev,
               gfortran
Standards-Version: 4.5.0
Homepage: https://www.astron.nl/citt/pybdsf/
Vcs-Git: https://salsa.debian.org/debian-astro-team/pybdsf.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/pybdsf

Package: python3-bdsf
Architecture: any
Depends: ${shlibs:Depends},
         ${python3:Depends},
         ${misc:Depends},
	 python3-astropy
Description: Python Blob Detection and Source Finder
 PyBDSF (the Python Blob Detection and Source Finder) is a tool
 designed to decompose radio interferometry images into sources and
 make available their properties for further use. PyBDSF can decompose
 an image into a set of Gaussians, shapelets, or wavelets as well as
 calculate spectral indices and polarization properties of sources and
 measure the psf variation across an image. PyBDSF uses an interactive
 environment based on CASA that will be familiar to most radio
 astronomers.  Additionally, PyBDSF may also be used in Python
 scripts.
