=== debian/watch ===
version=3
https://github.com/lofar-astron/PyBDSF/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
