=== debian/changelog ===
pybdsf (1.10.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Update pattern for GitHub archive URLs.

  [ Ole Streicher ]
  * New upstream version 1.10.1
  * Rediff patches
  * Push Standards-Version to 4.6.0. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Mon, 21 Mar 2022 16:26:33 +0100
