=== debian/control ===
--- 
+++ 
@@ -13,17 +13,17 @@
                libboost-python-dev,
                libboost-numpy-dev,
                gfortran
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/pybdsf
+Vcs-Git: https://salsa.debian.org/debian-astro-team/pybdsf.git
 Homepage: https://www.astron.nl/citt/pybdsf/
-Vcs-Git: https://salsa.debian.org/debian-astro-team/pybdsf.git
-Vcs-Browser: https://salsa.debian.org/debian-astro-team/pybdsf
 
 Package: python3-bdsf
 Architecture: any
 Depends: ${shlibs:Depends},
          ${python3:Depends},
          ${misc:Depends},
-	 python3-astropy
+         python3-astropy
 Description: Python Blob Detection and Source Finder
  PyBDSF (the Python Blob Detection and Source Finder) is a tool
  designed to decompose radio interferometry images into sources and
