=== debian/watch ===
version=4
https://github.com/lofar-astron/PyBDSF/releases .*/archive/refs/tags/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
