## pybdsf 1.10.3

=== debian/changelog ===
pybdsf (1.10.3-2) unstable; urgency=medium

  * Add build time test and autopkgtest (Closes: #1035198)

 -- Ole Streicher <olebole@debian.org>  Mon, 10 Jul 2023 11:47:52 +0200

pybdsf (1.10.3-1) unstable; urgency=medium

  [Bastian Germann]
  * New upstream version 1.10.3
  * Rediff patches

  [ Ole Streicher ]
  * Call dh_numpy
  * Update d/watch
  * Fix build issue with Python 3.11 (Closes: #1024499)
  * Push Standards-Version to 4.6.2. No changes needed

 -- Ole Streicher <olebole@debian.org>  Thu, 22 Jun 2023 20:57:54 +0200
