=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
                libboost-python-dev,
                libboost-numpy-dev,
                gfortran
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/pybdsf
 Vcs-Git: https://salsa.debian.org/debian-astro-team/pybdsf.git
-Homepage: https://www.astron.nl/citt/pybdsf/
+Homepage: https://pybdsf.readthedocs.io/
 
 Package: python3-bdsf
 Architecture: any
