=== debian/changelog ===
pybdsf (1.11.0-1) unstable; urgency=medium

  * New upstream version 1.11.0. Closes: #1076960
  * Rediff patches
  * Update build dependencies

 -- Ole Streicher <olebole@debian.org>  Fri, 26 Jul 2024 14:41:09 +0200

pybdsf (1.10.3-3) unstable; urgency=medium

  * Fix python3.12 build (Closes: #1063407)
  * Push Standards-Version to 4.7.0. No changes needed

 -- Ole Streicher <olebole@debian.org>  Sat, 08 Jun 2024 15:06:52 +0200
