=== debian/control ===
--- 
+++ 
@@ -5,15 +5,19 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               meson,
+               pybuild-plugin-pyproject,
                python3-all-dev,
                python3-astropy,
                python3-setuptools,
+               python3-setuptools-scm,
                python3-numpy,
                python3-scipy,
+               python3-skbuild,
                libboost-python-dev,
                libboost-numpy-dev,
                gfortran
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/pybdsf
 Vcs-Git: https://salsa.debian.org/debian-astro-team/pybdsf.git
 Homepage: https://pybdsf.readthedocs.io/
