## pybdsf 1.11.1

=== debian/changelog ===
pybdsf (1.11.1-1) unstable; urgency=medium

  * Allow prereleases in d/watch
  * New upstream version 1.11.1
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Tue, 10 Sep 2024 13:22:38 +0200
