## pybdsf 1.12.0

=== debian/changelog ===
pybdsf (1.12.0-1) unstable; urgency=medium

  * New upstream version 1.12.0
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Mon, 25 Nov 2024 20:52:29 +0100

pybdsf (1.11.1-2) unstable; urgency=medium

  * Adjust f2py executable name (Closes: #1081693)

 -- Ole Streicher <olebole@debian.org>  Mon, 18 Nov 2024 16:29:19 +0100
