## pybdsf 1.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -113,6 +113,7 @@
     src/c++/num_util/num_util.cpp
 )
 add_library(_cbdsm MODULE ${CBDSM_SRC})
+target_compile_definitions(_cbdsm PRIVATE NPY_NO_DEPRECATED_API=NPY_1_7_API_VERSION)
 target_include_directories(_cbdsm PRIVATE src/c++)
 target_link_libraries(_cbdsm minpack port3 gfortran ${Boost_LIBRARIES})
 python_extension_module(_cbdsm)
@@ -133,6 +134,7 @@
     natgrid/Src/nnusers.c
 )
 add_library(natgridmodule MODULE ${NATGRID_SRC})
+target_compile_definitions(natgridmodule PRIVATE NPY_NO_DEPRECATED_API=NPY_1_7_API_VERSION)
 target_include_directories(natgridmodule PRIVATE natgrid/Include)
 python_extension_module(natgridmodule)
 install(TARGETS natgridmodule LIBRARY DESTINATION bdsf/nat)
