=== doc/requirements.txt ===
sphinx-rtd-theme
setuptools_scm
