=== debian/changelog ===
pybdsf (1.13.0-2) unstable; urgency=medium

  * Add argument types to function prototypes (Closes: #1114276)

 -- Ole Streicher <olebole@debian.org>  Fri, 12 Sep 2025 22:12:32 +0200

pybdsf (1.13.0-1) unstable; urgency=medium

  * New upstream version 1.13.0. Closes: #1094757, #1095216
  * Rediff patches
  * Push Standards-Version to 4.7.2, no changes needed
  * Add build dependency python3-numpy-dev

 -- Ole Streicher <olebole@debian.org>  Tue, 08 Apr 2025 15:31:41 +0200
