=== debian/control ===
--- 
+++ 
@@ -12,12 +12,13 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-numpy,
+               python3-numpy-dev,
                python3-scipy,
                python3-skbuild,
                libboost-python-dev,
                libboost-numpy-dev,
                gfortran
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/pybdsf
 Vcs-Git: https://salsa.debian.org/debian-astro-team/pybdsf.git
 Homepage: https://pybdsf.readthedocs.io/
