=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,9 @@
 #
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export PYBUILD_TEST_CUSTOM=1
+export PYBUILD_TEST_ARGS=cd test && PYTHONPATH={build_dir} {interpreter} tbdsf_process_image.py
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
