=== debian/watch ===
version=4
opts="uversionmangle=s/(rc|a|b|c)/~$1/;s/\.(post)/+$1/, \
     filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
 https://github.com/lofar-astron/PyBDSF/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
